<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100&family=Raleway:wght@200;500&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;400&family=Raleway:wght@200;500&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;400;700&family=Raleway:wght@200;500&display=swap" rel="stylesheet">
    <title>My Online Store</title>

</head>
<body>
        <header class="header">
            <div class="header__background" style="background-image: url('img/background.jpg');"> <!--  -->
                <a href="index.html">
                    <div class="header__logo">
                        <img src="img/logo.png" alt="Logo">
                    </div><!-- header__logo -->
                </a>
            </div><!-- header__background -->
        </header>
        <nav class="nav-area">
            <a class= "nav-area__link" href="index.html">Store</a> 
            <a class= "nav-area__link" href="aboutUs.html">About Us</a>
        </nav>

        <main class="container">
            <h1>React Js</h1>
            <div class="tshirt">
                <img class="tshirt__img" src="img/3.jpg" alt="Product img">
                <div class="tshirt__content">
                    <p>Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. 
                    Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. 
                    Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.</p>
                    <form class="myForm">
                        <select class="myForm__field">
                            <option disabled selected>-- Select Size --</option>
                            <option>Small</option>
                            <option>Medium</option>
                            <option>Large</option>
                        </select>
                        <input class="myForm__field" type="number" placeholder="Cantidad" min="1">
                        <input class="myForm__submit" type="submit" value="Agregar al Carrito">
                    </form><!-- myForm -->
                </div>
            </div>
        </main>

        <footer class="footer">
            <p class="footer__text">Front End Store - All rights reserved 2023.</p>
        </footer>
        <script>
            // Function to get the value of a URL parameter by name
            function getParameterByName(name, url) {
              if (!url) url = window.location.href;
              name = name.replace(/[\[\]]/g, "\\$&");
              var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                  results = regex.exec(url);
              if (!results) return null;
              if (!results[2]) return '';
              return decodeURIComponent(results[2].replace(/\+/g, " "));
            }
          
            // Extract the 'product' query parameter from the URL
            var productName = getParameterByName('product');
          
            // Define an object with product data (you can use a more sophisticated data source)
            var products = {
              'VueJs': {
                name: 'VueJs',
                imgSrc: 'img/1.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'AngularJs': {
                name: 'AngularJs',
                imgSrc: 'img/2.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'ReactJs': {
                name: 'ReactJs',
                imgSrc: 'img/3.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Redux': {
                name: 'Redux',
                imgSrc: 'img/4.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'NodeJs': {
                name: 'NodeJs',
                imgSrc: 'img/5.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'SASS': {
                name: 'SASS',
                imgSrc: 'img/6.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'HTML5': {
                name: 'HTML5',
                imgSrc: 'img/7.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Github': {
                name: 'Github',
                imgSrc: 'img/8.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'BulmaCSS': {
                name: 'BulmaCSS',
                imgSrc: 'img/9.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Typescript': {
                name: 'Typescript',
                imgSrc: 'img/10.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Drupal': {
                name: 'Drupal',
                imgSrc: 'img/11.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Javascript': {
                name: 'Javascript',
                imgSrc: 'img/12.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'GraphQL': {
                name: 'GraphQL',
                imgSrc: 'img/13.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              },
              'Wordpress': {
                name: 'Wordpress',
                imgSrc: 'img/14.jpg',
                description: 'Nunc quis sapien porttitor, rutrum ex sed, feugiat massa. Ut non arcu tincidunt, volutpat erat ac, hendrerit erat. Praesent ut urna tellus. Quisque mauris eros, egestas at congue id, viverra sed risus. Sed condimentum odio ac est mattis, sed feugiat velit euismod. Duis commodo nisl et sapien sollicitudin, vitae aliquam ligula tempor.',
              }
            };
          
            // Get the product data based on the product name
            var productData = products[productName];
          
            if (productData) {
              // Update the content on the page with the product details
              document.querySelector('h1').textContent = productData.name;
              document.querySelector('.tshirt__img').setAttribute('src', productData.imgSrc);
              document.querySelector('.tshirt__content p').textContent = productData.description;
            }
          </script>
</body>
</html>